﻿/*
Plugin Name: TCO Calculator
Version: 1.0.0
Author: Your Name
Description: A plugin for calculating total cost of ownership.
*/

/* Add your CSS styles here */

#bendit_container {
    display: flex;
    flex-direction: row;
    background:#0D1842;
}

#bendit_container select:focus{
    color:#fff;
}
#bendit_container select option{
    background-color: #0D132E;
}

.bendit_sidebar {
    background-color: #0D132E;
    width: 26%;
    max-width: 466px;
    padding: 80px 3%;
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}
body #bendit_container .bendit_sidebar h3{
    font-family: 'dinnextltpro-bold', Helvetica, Arial, Lucida, sans-serif;
    font-size: 20px;
    line-height: 28px;
    padding-bottom: 70px!important;
    color: #ffffff;
}
.bendit_sidebar select {
    color: #ffffff;
    font-size: 16px;
    padding-left: 0px;
    width: 100%;
    border:0px;
    border-bottom: 2px solid #F18923;
    background-color: transparent;
    -moz-appearance:none; /* Firefox */
    -webkit-appearance:none; /* Safari and Chrome */
    appearance:none;
    margin-bottom: 10px;
}
.bendit_sidebar select {
    background-image: url(../image/select-arrow-down.svg);
    background-repeat: no-repeat;
    background-position: right;
    background-size: 10px;
}
.bendit_sidebar select:focus{
    border-bottom: 2px solid #F18923;
}
.bendit_sidebar select[aria-hidden="true"] {
    margin: 0;
}
.bendit_sidebar label {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    color: #ffffff;
    font-size: 16px;
    font-family: 'dinnextltpro-medium', Helvetica, Arial, Lucida, sans-serif;
}
.bendit_sidebar label .label_info {
    font-family: "dinnextltpro-light", Helvetica, Arial, Lucida, sans-serif;
}
.bendit_sidebar_input {
    margin-bottom: 50px;
}
.bendit_sidebar_reset{
    margin-bottom: 50px;
    text-align: right;
}

.bendit_sidebar_input input[type="number"],
.bendit_sidebar_input input[type="text"] {
    width: 100%;
    height: 40px;
    border: 0px solid #ccc!important;
    border-bottom: 2px solid #F18923!important;
    border-radius: 0px!important;
    background-color: transparent;
    padding: 0px;
    font-size: 16px;
}

.bendit_output {
    width: clamp(320px, 74%, 1920px);
    padding: 60px 4%;
    position: relative;
}
.bendit_output_header{
    padding-left:35px;
}

.bendit-overall-alert-title,
.bendit-inbending-alert-title,
.bendit-outbending-alert-title{
    /* display:none; */
}

.bendit_button{
    background-color: #F18923;
    color: #ffffff;
    font-size: 16px;
    font-family: 'dinnextltpro-heavy', Helvetica, Arial, Lucida, sans-serif;
    padding: 17px 21px;
    border: 0px;
    border-radius: 2px;
    cursor: pointer;
    margin-top: 20px;
}
.bendit_button:disabled{
    background-color: light-dark(rgba(239, 239, 239, 0.3), rgba(19, 1, 1, 0.3));;
    color: light-dark(rgba(16, 16, 16, 0.3), rgba(255, 255, 255, 0.3));;
    cursor: not-allowed;
}

.bendit_reset{
    background-color: transparent;
    color: #F18923;
    font-size: 14px;
    font-family: "dinnextltpro-light", Helvetica, Arial, Lucida, sans-serif;
    margin-top:30px;
    padding: 0;
    border: 0px;
    border-radius: 0px;
    cursor: pointer;
}

body #bendit_container .bendit_output_header h2{
    font-size: 30px;
    font-family: 'dinnextltpro-bold', Helvetica, Arial, Lucida, sans-serif;
    color: #2B3A81;
    padding-bottom:30px!important;
}
.bendit_output_header h2 i{
    font-family: '仿宋', Helvetica, Arial, Lucida, sans-serif;
}
.bendit_output_header p{
    font-size: 20px;
    font-family: 'dinnextltpro-light', Helvetica, Arial, Lucida, sans-serif;
    color: #243646;
    max-width: 680px;
    line-height:28px;
}

.bendit_output h3{
    font-size: 20px;
    line-height: 28px;
    font-family: 'dinnextltpro-bold', Helvetica, Arial, Lucida, sans-serif;
    color: #ffffff;
    padding-bottom: 0px;
}

.bendit_output_content {
    width: 100%;
    overflow-x: auto;
    overflow-y: clip;
}
.bendit_output_wrapper{
    min-width: 768px;
}
.bendit_output_row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 20px 0px;
}
.bendit_output_grid-3 {
    display:grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 20px;
    margin-bottom:50px;
}

.bendit_output_box{
    background-color: #0D132E;
    padding: 26px 15px 26px 33px;
    border-radius: 15px;
    width: 100%;
}
.bendit_output_box .showOutput{
    font-style: normal;
}
.bendit_output_box h4{
    font-size: 40px;
    font-family: 'dinnextltpro-bold', Helvetica, Arial, Lucida, sans-serif;
    color: #F18923;
    padding-bottom: 20px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.bendit_output_box h4 img{
    margin-top: -26px;
}
.bendit_output_box label{
    font-size: 16px;
    line-height: 22px;
    letter-spacing: -0.19px;
    font-family: 'dinnextltpro-medium', Helvetica, Arial, Lucida, sans-serif;
    color: #ffffff;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.bendit_output_box label span{
    font-family: 'dinnextltpro-light', Helvetica, Arial, Lucida, sans-serif;
}

.bendit-changeRange {
    -webkit-appearance: none;
    appearance: none;
    background: transparent;
    cursor: pointer;
    width: 100%;
}

/* Stil für den Schieberegler (Hebel) */
.bendit-changeRange::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 16px;
    height: 16px;
    background: #f18923;
    cursor: pointer;
    border-radius: 50%;
    border: 2px solid white;
    margin-top: -5px;
}

.bendit-changeRange::-moz-range-thumb {
    width: 16px;
    height: 16px;
    background: #f18923;
    cursor: pointer;
    border-radius: 50%;
    border: 2px solid #F4F5F8;
    margin-top: -5px;
}

/* Stil für den ausgewählten Bereich */
.bendit-changeRange::-webkit-slider-runnable-track {
    background: linear-gradient(to right, #f18923 var(--value, 0%), rgba(241, 137, 35, 0.4) var(--value, 0%));
    height: 6px;
    border-radius: 10px;
}

.bendit-changeRange::-moz-range-progress {
    background-color: #f18923;
    height: 10px;
}

.bendit-alert{
    background-color: #0D132E;
    color: #ffffff;
    padding: 25px 58px 30px 33px;
    border-radius: 15px;
    margin-bottom: 20px;
    font-family: 'dinnextltpro-light', Helvetica, Arial, Lucida, sans-serif;
    /* display:none; */
}
.bendit-alert{
    font-family: 'dinnextltpro-medium', Helvetica, Arial, Lucida, sans-serif;
    font-size: 16px;
    line-height: 22px;
}
.bendit-alert > div{
    display: flex;
}
.bendit-alert-info{
    color:#009A9D;
}
.bendit-alert-info:before{
    content: url(../image/alert-icon-info.svg);
    margin-right: 10px;
}
.bendit-alert-warning{
    color:#F18923;
}
.bendit-alert-warning:before{
    content: url(../image/alert-icon-warning.svg);
    margin-right: 10px;
}
.bendit-alert-error{
    color:#F12323;
}
.bendit-alert-error:before{
    content: url(../image/alert-icon-danger.svg);
    margin-right: 10px;
}

#bendit-api-error,
#bendit-preloader{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(13, 19, 46, 0.82);
    display: none;
}
#bendit-api-error > div{
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    height: 100%;
    width: 100%;
}
#bendit-api-error > div > div{
    background-color: rgba(13, 19, 46, 0.82);
    padding: 20px;
    color: #fff;
}
.bendit-preloader-spinner{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 78px;
    height: 80px;
    animation: spin 4s linear infinite;
    background-image: url(../image/preloader.svg);
}
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.bendit_size_notice{
    display:none;
    font-size: 12px;
    font-family: 'dinnextltpro-light', Helvetica, Arial, Lucida, sans-serif;
    color: #ffffff;
    padding: 30px;
}

@media (max-width:1250px){
    .bendit_sidebar,.bendit_output{
        display:none!important;
    }
    .bendit_size_notice{
        display:block;
    }
}
/*@media (max-width: 980px) {
    .bendit_output{
        padding: 50px 30px;
    }
    .bendit_output_header{
        padding-left:0px;
    }
    .bendit_sidebar {
        width: 100%;
        max-width: 100%;
        padding: 60px 40px;
        margin-top: 0px;
    }
    .bendit_sidebar h3{
        font-size:18px;
        padding-bottom: 30px;
    }
    .bendit_output {
        width: 100%;
    }
    #bendit_container {
        display: flex;
        flex-direction: column;
    }

    .bendit_output_header h2{
        text-align: center;
    }
    .bendit_output_header p{
        font-size: 18px;
        line-height:26px;
        text-align: center;
        margin: auto;
    }

}*/